#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n,u,b,g,podnakomade,ostak;
    cin >> n;
    vector<bool> nietilija(n,true);
    for(int i=0;i<n;i++){
        cin >> u >> b >> g;
        podnakomade=u/g;
        if(u<g){
            nietilija[i]=false;
        }
        else if(b<(podnakomade+1)*(podnakomade+2)/2*(u%g)+podnakomade*(podnakomade+1)/2*(g-u%g)){
            nietilija[i]=false;
        }
    }
    for(int i=0;i<n;i++){
        if(nietilija[i]){
            cout << "Tak" << endl;
        }
        else{
            cout << "Nie" << endl;
        }
    }
    return 0;
}